Subject: Re: [NETNS] Oops in register_pernet_operations() with CONFIG_NET_NS=n

From: David Miller <[email-masked]>
Date: Fri, 26 Oct 2007 04:55:03 -0700 (PDT)

From: Benjamin Thery <[email-masked]>
Date: Fri, 26 Oct 2007 13:41:55 +0200

> David Miller wrote:
> > From: [email-masked] (Eric W. Biederman)
> > Date: Thu, 25 Oct 2007 11:21:55 -0600
> > 
> >>> By the way, I think that we can in the case of undefined CONFIG_NET_NS
> >>> reduce register to calling ->init method and unregister to calling
> >>> ->exit method.
> >>>
> >>> This is a correct thing at least for now and will be welcomed by the all
> >>> embedded/etc people.
> >> I'm not fundamentally opposed.  Earlier versions of my patchset
> >> did that and more.   However I think the pain is greater then the
> >> gain right now.  Especially since this concept seem to require
> >> having quality inspected into it.
> > 
> > I think the correct thing to do for now is to simply remove these
> > __net_* markers and their definitions.  There are so many tricky cases
> > that it is easier to just get rid of them.
> > 
> > Could someone send me a patch which does that?
> 
> The attached patch revert Pavel's orginal patch from 2.6.23-mm1. 
> It should work fine with net-2.6 too.

Thanks for doing this.

But this appears to be still discussed, so I'll give
Denis and others another day to work out the fix they
want to include.